<?php
/*-------------------------------------------------------
*
*   LiveStreet (v.1.x)
*   Plugin Talknoread (v.1.1)
*   Copyright © 2011 Bishovec Nikolay
*
*--------------------------------------------------------
*
*   Plugin Page: http://netlanc.net
*   Contact e-mail: netlanc@yandex.ru
*
---------------------------------------------------------
*/

class PluginTalknotread_HookTalknotread extends Hook
{

    public function RegisterHook()
    {

        if (Router::GetAction() == 'talk' and Router::GetActionEvent() == 'close' and $oUserCurrent = $this->User_GetUserCurrent()) {
            if ($aParams = Router::GetParams()) {

                $sTalkId = $aParams['0'];
                if (!($oTalk = $this->Talk_GetTalkById($sTalkId))) {
                    return parent::EventNotFound();
                }
                if (!($oTalkUser = $this->Talk_GetTalkUser($oTalk->getId(), $oUserCurrent->getId()))) {
                    return parent::EventNotFound();
                }
                if ($oTalkUser->getUserActive() != ModuleTalk::TALK_USER_ACTIVE) {
                    return parent::EventNotFound();
                }

                $oTalkUser->setDateLast(null);

                $this->Talk_UpdateTalkUser($oTalkUser);
                Router::Location(Router::GetPath('talk'));

            }
        }
        $this->AddHook('template_copyright', 'Copyright', __CLASS__);
    }

    public function Copyright()
    {
        if (Router::GetAction()!='tag'){
            return;
        }
        return '<a href="http://netlanc.net" target="_blank">Сделано в netlanc.net</a><br />';
    }

}
